Summary:   Shout - Program for feeding MP3 streams to an Icecast server
Name:      shout
Version:   0.8.0
Release:   3
Serial:    0801
URL:       http://www.icecast.org
Source:    http://www.icecast.org/releases/%{name}-%{version}.tar.gz
Patch:     shout-0.8.0-separate.patch
License:   GPL
Group:     Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq:    /usr/sbin/groupadd

%define gid 47
%define gname shout

%description
Shout is responsible for feeding a mp3 stream to the server.

%prep

%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-fsstd

# Test if we have a SMP capable computer, and take advantage of it
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

install -m755 iceplay $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/etc/shout/shout.conf.dist $RPM_BUILD_ROOT/etc/shout/shout.conf

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -r $RPM_BUILD_ROOT

%pre
groupadd -g %{gid} -o -r -f %{gname} >/dev/null 2>&1 || :

%postun
if [ "$1" = 0 ] ; then
	groupdel %{gname} >/dev/null 2>&1 || :
fi

%files 
%defattr(-,root,root)
%doc BUGS BUGS.iceplay CREDITS README.iceplay README.shout TODO *.example
%attr(770,root,%{gname}) %dir /etc/shout
%attr(660,root,%{gname}) %config /etc/shout/shout.conf
/usr/bin/*
%attr(770,root,%{gname}) %dir /var/log/shout

%changelog
* Tue Dec  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Sun Jun  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmpdir} used
- finished split from icecast (so it do not have to be installed when we
  want just shout to icecast server elsewhere): config and log directories
  changed
- added group 'shout' so every person in that group can operate shout

* Fri Apr 21 2000 Arne Coucheron <arneco@online.no>
  [0.8.0-1]
- first release